Платформенная аналитика API
Instagram API
Инстаграм охватывает около 3 миллиардов пользователей в месяц через фотографии, истории, ролики и личные сообщения, что делает его важным для повествования о брендах, партнерства с создателями, открытия продуктов и визуальной коммерции.
Справочник API Версия: 1.0.0 25 Точки доступа Аутентификация
Базовый URL
https://api.pressmonitor.com/instagram/v1 Аутентификация
Все запросы используют аутентификацию с токеном Bearer. Добавьте заголовок Authorization ко всем вызовам.
Authorization: Bearer YOUR_TOKEN GET
/audio-info Информация об аудио
Audio Info
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| audio_id | string | query | Да | ID аудио |
| cursor | integer | query | Нет | Курсор пагинации для следующей страницы |
Примеры кода
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/audio-info?audio_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/audio-info?audio_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/audio-info" querystring = {"audio_id":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/audio-info?audio_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/audio-info?audio_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Ответы
200 Успешно
GET
/comments-thread Поток комментариев
Comments Thread
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| comment_id | string | query | Да | ID комментария |
| count | integer | query | Нет | Количество результатов для возврата |
| cursor | integer | query | Нет | Курсор пагинации для следующей страницы |
Примеры кода
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/comments-thread?comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/comments-thread?comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/comments-thread" querystring = {"comment_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/comments-thread?comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/comments-thread?comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Ответы
200 Успешно
GET
/followers Подписчики
Followers
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| username_or_id_or_url | string | query | Да | Имя пользователя, ID или URL |
| cursor | integer | query | Нет | Курсор пагинации для следующей страницы |
Примеры кода
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/followers?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/followers?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/followers" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/followers?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/followers?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Ответы
200 Успешно
GET
/following Подписки
Following
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| username_or_id_or_url | string | query | Да | Имя пользователя, ID или URL |
| cursor | integer | query | Нет | Курсор пагинации для следующей страницы |
Примеры кода
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/following?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/following?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/following" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/following?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/following?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Ответы
200 Успешно
GET
/hashtag-posts Посты с хэштегом
Hashtag Posts
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| hashtag | string | query | Да | Хэштег |
| count | integer | query | Нет | Количество результатов для возврата |
| cursor | integer | query | Нет | Курсор пагинации для следующей страницы |
Примеры кода
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/hashtag-posts?hashtag=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/hashtag-posts?hashtag=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/hashtag-posts" querystring = {"hashtag":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/hashtag-posts?hashtag=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/hashtag-posts?hashtag=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Ответы
200 Успешно
GET
/highlight-info Информация об актуальном
Highlight Info
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| highlight_id | string | query | Да | ID актуального |
| cursor | integer | query | Нет | Курсор пагинации для следующей страницы |
Примеры кода
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/highlight-info?highlight_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/highlight-info?highlight_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/highlight-info" querystring = {"highlight_id":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/highlight-info?highlight_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/highlight-info?highlight_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Ответы
200 Успешно
GET
/highlights Актуальное
Highlights
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| username_or_id_or_url | string | query | Да | Имя пользователя, ID или URL |
| cursor | integer | query | Нет | Курсор пагинации для следующей страницы |
Примеры кода
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/highlights?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/highlights?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/highlights" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/highlights?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/highlights?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Ответы
200 Успешно
GET
/info Информация
Info
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| username_or_id_or_url | string | query | Да | Имя пользователя, ID или URL |
| cursor | integer | query | Нет | Курсор пагинации для следующей страницы |
| include_about | string | query | Нет | Включить информацию |
| url_embed_safe | string | query | Нет | Безопасная вставка URL |
Примеры кода
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/info?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&include_about=SOME_STRING_VALUE&url_embed_safe=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/info?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&include_about=SOME_STRING_VALUE&url_embed_safe=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/info" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE","include_about":"SOME_STRING_VALUE","url_embed_safe":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/info?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&include_about=SOME_STRING_VALUE&url_embed_safe=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/info?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&include_about=SOME_STRING_VALUE&url_embed_safe=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Ответы
200 Успешно
GET
/likes Лайки
Likes
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| shortcode | string | query | Да | Краткий код |
| count | integer | query | Нет | Количество результатов для возврата |
| cursor | integer | query | Нет | Курсор пагинации для следующей страницы |
Примеры кода
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/likes?shortcode=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/likes?shortcode=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/likes" querystring = {"shortcode":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/likes?shortcode=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/likes?shortcode=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Ответы
200 Успешно
GET
/location-posts Посты по локации
Location Posts
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| location_id | string | query | Да | ID локации |
| count | integer | query | Нет | Количество результатов для возврата |
| cursor | integer | query | Нет | Курсор пагинации для следующей страницы |
Примеры кода
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/location-posts?location_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/location-posts?location_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/location-posts" querystring = {"location_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/location-posts?location_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/location-posts?location_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Ответы
200 Успешно
GET
/post-info Информация о посте
Post Info
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| url_or_shortcode | string | query | Да | URL или краткий код |
| cursor | integer | query | Нет | Курсор пагинации для следующей страницы |
| url_embed_safe | string | query | Нет | Безопасная вставка URL |
Примеры кода
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/post-info?url_or_shortcode=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&url_embed_safe=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/post-info?url_or_shortcode=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&url_embed_safe=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/post-info" querystring = {"url_or_shortcode":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE","url_embed_safe":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/post-info?url_or_shortcode=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&url_embed_safe=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/post-info?url_or_shortcode=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE&url_embed_safe=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Ответы
200 Успешно
GET
/posts Посты
Posts
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| username_or_id_or_url | string | query | Да | Имя пользователя, ID или URL |
| cursor | integer | query | Нет | Курсор пагинации для следующей страницы |
Примеры кода
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/posts?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/posts?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/posts" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/posts?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/posts?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Ответы
200 Успешно
GET
/reels Рилсы
Reels
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| username_or_id_or_url | string | query | Да | Имя пользователя, ID или URL |
| cursor | integer | query | Нет | Курсор пагинации для следующей страницы |
Примеры кода
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/reels?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/reels?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/reels" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/reels?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/reels?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Ответы
200 Успешно
GET
/reposts Репосты
Reposts
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| username_or_id_or_url | string | query | Да | Имя пользователя, ID или URL |
| count | integer | query | Нет | Количество результатов для возврата |
| cursor | integer | query | Нет | Курсор пагинации для следующей страницы |
Примеры кода
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/reposts?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/reposts?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/reposts" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/reposts?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/reposts?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Ответы
200 Успешно
GET
/search-audios Поиск аудио
Search Audios
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| search_query | string | query | Да | Поисковый запрос |
| cursor | integer | query | Нет | Курсор пагинации для следующей страницы |
Примеры кода
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/search-audios?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/search-audios?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/search-audios" querystring = {"search_query":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/search-audios?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/search-audios?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Ответы
200 Успешно
GET
/search-coordinates Поиск по координатам
Search Coordinates
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| lat | string | query | Да | Широта |
| lng | string | query | Да | Долгота |
| cursor | integer | query | Нет | Курсор пагинации для следующей страницы |
Примеры кода
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/search-coordinates?lat=SOME_STRING_VALUE&lng=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/search-coordinates?lat=SOME_STRING_VALUE&lng=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/search-coordinates" querystring = {"lat":"SOME_STRING_VALUE","lng":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/search-coordinates?lat=SOME_STRING_VALUE&lng=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/search-coordinates?lat=SOME_STRING_VALUE&lng=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Ответы
200 Успешно
GET
/search-locations Поиск локаций
Search Locations
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| search_query | string | query | Да | Поисковый запрос |
| cursor | integer | query | Нет | Курсор пагинации для следующей страницы |
Примеры кода
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/search-locations?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/search-locations?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/search-locations" querystring = {"search_query":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/search-locations?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/search-locations?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Ответы
200 Успешно
GET
/search-posts Поиск постов
Search Posts
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| search_query | string | query | Да | Поисковый запрос |
| cursor | integer | query | Нет | Курсор пагинации для следующей страницы |
Примеры кода
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/search-posts?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/search-posts?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/search-posts" querystring = {"search_query":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/search-posts?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/search-posts?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Ответы
200 Успешно
GET
/search-reels Поиск рилсов
Search Reels
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| search_query | string | query | Да | Поисковый запрос |
| cursor | integer | query | Нет | Курсор пагинации для следующей страницы |
Примеры кода
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/search-reels?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/search-reels?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/search-reels" querystring = {"search_query":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/search-reels?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/search-reels?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Ответы
200 Успешно
GET
/search-similar Поиск похожих
Search Similar
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| username_or_id | string | query | Да | Имя пользователя или ID |
| cursor | integer | query | Нет | Курсор пагинации для следующей страницы |
Примеры кода
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/search-similar?username_or_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/search-similar?username_or_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/search-similar" querystring = {"username_or_id":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/search-similar?username_or_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/search-similar?username_or_id=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Ответы
200 Успешно
GET
/search-users Поиск пользователей
Search Users
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| search_query | string | query | Да | Поисковый запрос |
| cursor | integer | query | Нет | Курсор пагинации для следующей страницы |
Примеры кода
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/search-users?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/search-users?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/search-users" querystring = {"search_query":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/search-users?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/search-users?search_query=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Ответы
200 Успешно
GET
/stories Истории
Stories
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| username_or_id_or_url | string | query | Да | Имя пользователя, ID или URL |
| cursor | integer | query | Нет | Курсор пагинации для следующей страницы |
Примеры кода
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/stories?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/stories?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/stories" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/stories?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/stories?username_or_id_or_url=SOME_STRING_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Ответы
200 Успешно
GET
/tagged Отмечено
Tagged
Параметры
| Имя | Тип | Местоположение | Обязательно | Описание |
|---|---|---|---|---|
| username_or_id_or_url | string | query | Да | Имя пользователя, ID или URL |
| count | integer | query | Нет | Количество результатов для возврата |
| cursor | integer | query | Нет | Курсор пагинации для следующей страницы |
Примеры кода
curl --request GET \ --url 'https://api.pressmonitor.com/instagram/v1/tagged?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/instagram/v1/tagged?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/instagram/v1/tagged" querystring = {"username_or_id_or_url":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/instagram/v1/tagged?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/instagram/v1/tagged?username_or_id_or_url=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); Ответы
200 Успешно
/commentsКомментарии
Comments
Параметры
stringintegerintegerПримеры кода
Ответы